Bug 988850 - DataInput mapped to constant value is not being displayed in generated Task Form
DataInput mapped to constant value is not being displayed in generated Task Form
Status: NEW
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tihomir Surdilovic
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-26 10:48 EDT by Anton Giertli
Modified: 2015-12-04 10:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
includes process definition and 2 screenshots (of faulty behavior and temporary workaround) (197.92 KB, application/zip)
2013-07-26 10:48 EDT, Anton Giertli
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-2028 Minor Closed DataInput mapped to constant value is not being displayed in generated Task Form 2016-01-29 08:27 EST

  None (edit)
Description Anton Giertli 2013-07-26 10:48:06 EDT
Created attachment 778788 [details]
includes process definition and 2 screenshots (of faulty behavior and temporary workaround)

Description of problem:
When you generate a task form, for a task that has datainput assigned to the constant value (variable is equal to "constant")
The final form includes
<label for="name">variable</label>
                            		<div class="div_checkbox">
                              		<![CDATA["constant"]]>
</div>

This is being interpreted as HTML comment, therefore constant value is not being displayed in generated task form.

How reproducible:

Steps to Reproduce:
1) Download attached process (you need to have human task with datainput assignment to constant value, i.e. datainput is equal to "constant")
2) generate task form in web designer
3) deploy process via Guvnor
4) Start process in business-central
5) Submit the form
6) proceed to assigned task for a user, and you will now see, that the datainput value is empty (constant value should be displayed) - as shown in attached screenshot snap.tff

Actual results:
when datainput has assignment to constant value, value is not displayed

Expected results:
value should be displayed

Additional info:
Comment 1 JBoss JIRA Server 2015-12-04 10:19:17 EST
Toni Rikkola <toni@rikkola.net> updated the status of jira GUVNOR-2028 to Closed

Note You need to log in before you can comment on or make changes to this bug.